/*
 * Copyright (C) 2011  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 */

package org.ow2.orchestra.common.gwt.soapui.client.factories.ws.interactions.impl;

import com.google.gwt.event.shared.EventBus;
import com.google.gwt.event.shared.SimpleEventBus;
import org.ow2.orchestra.common.gwt.soapui.client.factories.ws.interactions.RequestResponseClientFactory;
import org.ow2.orchestra.common.gwt.soapui.client.presenters.ws.interactions.RequestResponsePresenter;
import org.ow2.orchestra.common.gwt.soapui.client.ui.ws.interactions.RequestResponsePanel;
import org.ow2.orchestra.common.gwt.soapui.client.ui.ws.interactions.impl.DefaultRequestResponsePanel;

/**
 * @author Loic Albertin
 */
public class DefaultRequestResponseClientFactory implements RequestResponseClientFactory{

  private EventBus eventBus;

  private RequestResponsePanel requestResponsePanel;

  public DefaultRequestResponseClientFactory() {
    this(new SimpleEventBus());
  }

  public DefaultRequestResponseClientFactory(EventBus eventBus) {
    this(eventBus, new DefaultRequestResponsePanel());
  }

  public DefaultRequestResponseClientFactory(EventBus eventBus, RequestResponsePanel requestResponsePanel) {
    this.eventBus = eventBus;
    this.requestResponsePanel = requestResponsePanel;
    this.requestResponsePanel.setPresenter(new RequestResponsePresenter(eventBus, requestResponsePanel));
  }

  public RequestResponsePanel getRequestResponsePanel() {
    return requestResponsePanel;
  }

  public EventBus getEventBus() {
    return eventBus;
  }
}
